import request from '@/utils/request'

// 查询治疗记录列表
export function listTreatment(query) {
  return request({
    url: '/treatment/treatment/list',
    method: 'get',
    params: query
  })
}

// 查询治疗记录详细
export function getTreatment(id) {
  return request({
    url: '/treatment/treatment/' + id,
    method: 'get'
  })
}

// 新增治疗记录
export function addTreatment(data) {
  return request({
    url: '/treatment/treatment',
    method: 'post',
    data: data
  })
}

// 修改治疗记录
export function updateTreatment(data) {
  return request({
    url: '/treatment/treatment',
    method: 'put',
    data: data
  })
}

// 删除治疗记录
export function delTreatment(id) {
  return request({
    url: '/treatment/treatment/' + id,
    method: 'delete'
  })
}
